/********************************************************************************/
/*!
	@file			main.c
	@author         Nemui Trinomius (http://nemuisan.blog.bai.ne.jp)
    @version        1.00
    @date           2013.12.11
	@brief          Atmega1284p test BencherZX.

    @section HISTORY
		2013.12.11	V1.00	Start Here.

    @section LICENSE
		BSD License. See Copyright.txt
*/
/********************************************************************************/

/* Includes ------------------------------------------------------------------*/
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <stdbool.h>
#include <inttypes.h>

#include <avr/io.h>
#include <avr/portpins.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <util/delay.h>

/* Defines -------------------------------------------------------------------*/
/* LED Settings (as ISP_MISO PORTB6) */
/* MEGA88	/28Pin	:B4 */
/* TINY85	/8 Pin  :B0 */
/* TINY261  /20Pin  :B0 */
/* TINY2313	/20Pin	:B6 */
/* MEGA8535 /40Pin  :B6 */
/* MEGA8515 /40Pin  :B6 */
/* TINY44   /14Pin  :A5 */

/* LED Definition */
#define LEDPORT_CFG			B
#define LEDBIT_CFG			6		
/* General purpose IO Definition  *Don't change! */
#define LED_CONCAT(a, b)    a ## b
#define LED_OUTPORT(name)   LED_CONCAT(PORT, name)
#define LED_DDRPORT(name)   LED_CONCAT(DDR, name)
#define LED_PORT			LED_OUTPORT(LEDPORT_CFG)
#define LED_DDR				LED_DDRPORT(LEDPORT_CFG)

#define LED1PORT 			LED_OUTPORT(LEDPORT_CFG)
#define LED1DDR				LED_DDRPORT(LEDPORT_CFG)
#define LED1				LEDBIT_CFG
#define LED1_EN()  			LED_PORT &= ~(1<<LED1); \
							LED_DDR  |=  (1<<LED1)
#define LED1_ON()			LED1PORT |=  (1<<LED1)
#define LED1_OFF()			LED1PORT &= ~(1<<LED1)
#define LED1_TGL()			LED1PORT ^=  (1<<LED1)

/* Variables -----------------------------------------------------------------*/

/* Function prototypes -------------------------------------------------------*/
int main(void) __attribute__((noreturn));
__flash const uint8_t unk[]="unk";

/* Functions -----------------------------------------------------------------*/

/**************************************************************************/
/*! 
    @brief Main Function

    main function

    @retval : None
*/
/**************************************************************************/
int main(void)
{
	/* LED Indicator */
	LED1_EN();
	LED1_OFF();
	while(1){
		_delay_ms(500);
		LED1_TGL();
	}

	
}

/* End Of File ---------------------------------------------------------------*/
